Provision an Overlay Cloud agent environment
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/managed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/managed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/managed \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Agent environments
Provision an Overlay Cloud agent environment
POST
/
api
/
v1
/
agent-environments
/
managed
Provision an Overlay Cloud agent environment
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/managed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', userId: '<string>'})
};
fetch('https://getoverlay.io/api/v1/agent-environments/managed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/agent-environments/managed \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.